## ros-iron-velodyne-laserscan 2.3.0

=== tests/CMakeLists.txt ===
### Unit tests
#
#   Only configured when CATKIN_ENABLE_TESTING is true.

# These dependencies are only needed for unit testing
find_package(roslaunch REQUIRED)
find_package(rostest REQUIRED)

# C++ gtests
#catkin_add_gtest(test_calibration test_calibration.cpp)
#add_dependencies(test_calibration ${catkin_EXPORTED_TARGETS})
#target_link_libraries(test_calibration velodyne_rawdata ${catkin_LIBRARIES})

# ROS rostests
add_rostest_gtest(test_lazy_subscriber_node lazy_subscriber_node.test lazy_subscriber.cpp)
add_dependencies(test_lazy_subscriber_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(test_lazy_subscriber_node ${catkin_LIBRARIES})

add_rostest_gtest(test_lazy_subscriber_nodelet lazy_subscriber_nodelet.test lazy_subscriber.cpp)
add_dependencies(test_lazy_subscriber_nodelet ${catkin_EXPORTED_TARGETS})
target_link_libraries(test_lazy_subscriber_nodelet ${catkin_LIBRARIES})

add_rostest_gtest(test_system_node system_node.test system.cpp)
add_dependencies(test_system_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(test_system_node ${catkin_LIBRARIES})

add_rostest_gtest(test_system_nodelet system_nodelet.test system.cpp)
add_dependencies(test_system_nodelet ${catkin_EXPORTED_TARGETS})
target_link_libraries(test_system_nodelet ${catkin_LIBRARIES})

=== debian/changelog ===
ros-iron-velodyne-laserscan (2.3.0-3jammy) jammy; urgency=high

  * Updating maintainer email address. (#450 <https://github.com/ros-drivers/velodyne/issues/450>)
    * Updating maintainer email address.
    * chore: update maintainer email address
    Co-authored-by: Joshua Whitley <mailto:jwhitley@autonomoustuff.com>
  * Fix small warnings from build and test.
  * Add laserscan support for new PointXYZIR structure (#316 <https://github.com/ros-drivers/velodyne/issues/316>) (#439 <https://github.com/ros-drivers/velodyne/issues/439>)
    * Add laserscan support for new PointXYZIR structure
    * Support PointCloud2 offsets that are multiples of 4
    Co-authored-by: Kevin Hallenbeck <mailto:khallenbeck@dataspeedinc.com>
  * Replace deprecated argument names in launch (#430 <https://github.com/ros-drivers/velodyne/issues/430>)
  * 2.1.1
  * Updating for first Galactic release
  * Contributors: Chris Lalancette, Daisuke Nishimatsu, Joshua Whitley, Keane Quigley

 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Thu, 07 Jul 2022 16:00:00 -0000

ros-iron-velodyne-laserscan (2.1.1-3jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Sun, 22 Aug 2021 16:00:00 -0000

ros-iron-velodyne-laserscan (2.1.0-3jammy) jammy; urgency=high

  * Fixing Foxy-specific uncrustify errors.
  * Contributors: Joshua Whitley

 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Thu, 09 Jul 2020 16:00:00 -0000

ros-iron-velodyne-laserscan (2.0.0-3jammy) jammy; urgency=high

  * Fix dependencies in package.xml (#331 <https://github.com/ros-drivers/velodyne/issues/331>)
    Ensure that we depend on ament_cmake_ros as appropriate.
  * Fix ring retrieval from float pointcloud iterator. (#322 <https://github.com/ros-drivers/velodyne/issues/322>)
    * Fix ring retrieval from float pointcloud iterator.
  * Fixes pointed out by clang-tidy (#310 <https://github.com/ros-drivers/velodyne/issues/310>)
    * Rearrange header includes so clang-tidy is happy.
    * Get rid of unnecessary void arguments on methods.
    * Properly mark methods as override where appropriate.
    * Initialize members and stack variables to zero before use.
    * Mark function implementations in header files 'inline'.
    * Use more efficient 'empty' method instead of empty string.
    * Get rid of unnecessary else statements after a continue/return.
    * Get rid of unnecessary == false use.
    * Make sure to add a virtual destructor to DataContainerBase.
    * Use string != comparison instead of 'compare' method.
    * Rename PointcloudXYZIR parameter name to match implementation.
    * Get rid of usage of typedef.
    * Be more explicit about using floats.
    * Do an explicit lround to do int->float conversion.
    * Fix the intensity calculation.
    * Remove the azimuth from addPoint.
    * Make sure to reset the cloud data to 0 before reusing.
    * Use underscores on pointcloud member variables.
    * Using std::lround means we don't need to add 0.5 to the result.
    * Slightly rearrange and simplify range checks.
    * Add in example launch files for VLP32C.
  * Dashing fixes (#307 <https://github.com/ros-drivers/velodyne/issues/307>)
    * Use std::make_unique as appropriate.
    * Fix the azimuth calculation.
    * Fix a crash during driver startup.
    * Always recalculate the row_step while setting up the cloud.
    * Make sure to call computeTransformation.
    * Fix style errors pointed out by flake8.
  * ROS2: Add Linters to velodyne_laserscan (#303 <https://github.com/ros-drivers/velodyne/issues/303>)
    * Adding tests and updating file naming.
    * Fixing copyright and xml issues.
    * Fixing linter stuff on velodyne_laserscan.
    * Fixing typo in conversion.
  * Switch the style on scope-constants to google style.
  * Add in example launch files.
  * Disable copy, move, and assign operators.
  * Build the components so the velodyne can be run as a component.
  * Add in NodeOptions to node constructors.
  * Make sure to install the header files for laserscan and pointcloud.
  * Switch to RCLCPP_WARN_ONCE.
  * Make sure to only print the "slower generic method" message once.
  * Add explicit, final, and override to classes where appropriate.
  * Merge pull request #251 <https://github.com/ros-drivers/velodyne/issues/251> from clalancette/dashing-devel3
    ROS 2 Dashing port
  * Merge pull request #234 <https://github.com/ros-drivers/velodyne/issues/234> from kmhallen/c++11
    Set minimum C++ standard to C++11
  * Merge pull request #231 <https://github.com/ros-drivers/velodyne/issues/231> from ros-drivers/ci/test_better_output
    CI: Adding roslint as separate step. Limiting output of catkin build.
  * Merge pull request #227 <https://github.com/ros-drivers/velodyne/issues/227> from ros-drivers/roslint
    Applying roslint to velodyne_pointcloud.
  * Merge pull request #226 <https://github.com/ros-drivers/velodyne/issues/226> from ros-drivers/roslint
    Adding roslint to velodyne_laserscan
  * Contributors: Chris Lalancette, Joshua Whitley, Kevin Hallenbeck, Matthew Pitropov, Michel Hidalgo, Sebastian, Sebastian Pütz

 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Thu, 09 Jul 2020 16:00:00 -0000

ros-iron-velodyne-laserscan (1.5.2-3jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Sun, 27 Jan 2019 16:00:00 -0000

ros-iron-velodyne-laserscan (1.5.1-3jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Sun, 09 Dec 2018 16:00:00 -0000

ros-iron-velodyne-laserscan (1.5.0-3jammy) jammy; urgency=high



 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Thu, 18 Oct 2018 16:00:00 -0000

ros-iron-velodyne-laserscan (1.4.0-3jammy) jammy; urgency=high

  * Merge pull request #170 <https://github.com/ros-drivers/velodyne/issues/170> from ros-drivers/maint/move_header_files
  * Moving header files to traditional location inside include folders.


=== debian/control ===
Source: ros-iron-velodyne-laserscan
Section: misc
Priority: optional
Maintainer: Josh Whitley <whitleysoftwareservices@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake-ros, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-sensor-msgs, ros-iron-ros-workspace
Homepage: http://ros.org/wiki/velodyne_laserscan
Standards-Version: 3.9.2

Package: ros-iron-velodyne-laserscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-sensor-msgs, ros-iron-ros-workspace
Description: Extract a single ring of a Velodyne PointCloud2 and publish it as a LaserScan message

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-velodyne-laserscan//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
